## NAME

r.unpack.py - Unpacks a raster map packed with r.pack.

## KEYWORDS

raster, import, copying

## SYNOPSIS

r.unpack.py
r.unpack.py --help
r.unpack.py [-o] input=name.pack [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-o
  Override projection check (use current location's projection)
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name.pack [required]
  Name of input pack file
output=name
  Name for output raster map (default: taken from input file internals)

## DESCRIPTION

r.unpack allows unpacking raster maps packed by r.pack.

## NOTES

Name of the raster map is determined by default from pack file internals. Optionaly the name can be given by output parameter. Currently only 2D raster maps are supported.

## EXAMPLE

Pack up raster map aspect into aspect.pack file.

    r.pack input=aspect

the raster map can be afterwards unpacked by

    r.unpack input=aspect.pack

## SEE ALSO

r.pack, r.in.gdal

## AUTHORS

Original Bash script written by Hamish Bowman, Otago University, New Zealand as GRASS AddOns
Converted to Python and updated for GRASS 7 by Martin Landa, CTU in Prague, Czech Republic

Last changed: $Date: 2015-02-13 16:16:22 +0100 (pá, 13 II 2015) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual